Create a partner fee
curl --request POST \
--url https://api.lumx.io/partner-fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Fee 7",
"walletAddress": "0x76b74209f3542d172ca1575b5b18064594360299",
"fees": {
"onRamp": {
"rate": "10",
"flatAmount": "1"
},
"offRamp": {
"rate": "10",
"flatAmount": "1"
}
}
}
'import requests
url = "https://api.lumx.io/partner-fees"
payload = {
"name": "Fee 7",
"walletAddress": "0x76b74209f3542d172ca1575b5b18064594360299",
"fees": {
"onRamp": {
"rate": "10",
"flatAmount": "1"
},
"offRamp": {
"rate": "10",
"flatAmount": "1"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Fee 7',
walletAddress: '0x76b74209f3542d172ca1575b5b18064594360299',
fees: {onRamp: {rate: '10', flatAmount: '1'}, offRamp: {rate: '10', flatAmount: '1'}}
})
};
fetch('https://api.lumx.io/partner-fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174004",
"name": "Fee name",
"walletAddress": "0x76b74209f3542d172ca1575b5b18064594360299",
"fees": {
"onRamp": {
"rate": "10",
"flatAmount": "1"
},
"offRamp": {
"rate": "10",
"flatAmount": "1"
}
},
"createdAt": "2021-01-01T00:00:00Z"
}Partner Fees
Create a partner fee
This endpoint creates a partner fee.
POST
/
partner-fees
Create a partner fee
Authorizations
Bearer authentication header on the format Bearer <API_KEY>.
Headers
Optional UUID v4 idempotency key. If you resend the same key with a different request body, the API returns a 409 error. Cached responses include the header X-Idempotency-Cached: true. Keys expire after 24 hours.
Body
application/json
Response
201 - application/json
Partner fee successfully created.
Partner fee's unique identifier.
Example:
"123e4567-e89b-12d3-a456-426614174004"
Partner fee's name.
Example:
"Fee name"
Partner's wallet address that will receive the funds.
Example:
"0x76b74209f3542d172ca1575b5b18064594360299"
Partner fee's fees.
Show child attributes
Show child attributes
Creation date and time (UTC).
Example:
"2021-01-01T00:00:00Z"
⌘I